Uploaded image for project: 'OAuth Module'
  1. OAuth Module
  2. OA-19

Update dependencies to remove security risks

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Should
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: OAuth 2
    • Labels:
    • Complexity:
      Low
    • Development:

      Description

      The OAuth2 module has some dependencies which may pose a security threat. Update the dependencies with the newer versions which are safe.

      Some of these vulnerable dependencies are

      1. com.fasterxml.jackson.core

      Make the changes in all pom.xml files where these dependencies are declared.

      https://github.com/openmrs/openmrs-module-oauth2

        Gliffy Diagrams

          Attachments

            Activity

              People

              Assignee:
              jwnasambu Juliet Wamalwa
              Reporter:
              mavrk Sanatt Abrol
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 3 hours
                  3h